curl --request PUT \
--url https://api.example.com/cabinet/admin/settings/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<unknown>"
}
'{
"key": "<string>",
"name": "<string>",
"category": {
"key": "<string>",
"label": "<string>"
},
"type": "<string>",
"is_optional": true,
"has_override": true,
"current": "<unknown>",
"original": "<unknown>",
"read_only": false,
"choices": [
{
"value": "<unknown>",
"label": "<string>",
"description": "<string>"
}
],
"hint": {
"description": "",
"format": "",
"example": "",
"warning": ""
}
}Update a setting value.
curl --request PUT \
--url https://api.example.com/cabinet/admin/settings/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<unknown>"
}
'{
"key": "<string>",
"name": "<string>",
"category": {
"key": "<string>",
"label": "<string>"
},
"type": "<string>",
"is_optional": true,
"has_override": true,
"current": "<unknown>",
"original": "<unknown>",
"read_only": false,
"choices": [
{
"value": "<unknown>",
"label": "<string>",
"description": "<string>"
}
],
"hint": {
"description": "",
"format": "",
"example": "",
"warning": ""
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request to update setting value.
Successful Response
Full setting definition with current state.
Reference to category.
Show child attributes
Show child attributes
Setting hints and guidance.
Show child attributes